    ﻿import { Zondy } from '../../../base'
    import CThemeInfo from './CThemeInfo'
    import { defaultValue } from '../../../util'

    /**
     * 单值专题图信息
     * @class module:专题图服务.CUniqueThemeInfo
     * @classdesc 单值专题图信息
     * @description Zondy.Object.Theme.CUniqueThemeInfo
     * @extends CThemeInfo
     * @param {Object} options 属性键值对
     */
    class CUniqueThemeInfo extends CThemeInfo {
      constructor(value, options) {
        options = defaultValue(options, {})
        super(options)
        this.Value = value !== undefined ? value : ''
      }
    }
    export default CUniqueThemeInfo
    Zondy.Object.Theme.CUniqueThemeInfo = CUniqueThemeInfo